org.apache.ignite.events

## Class WalSegmentArchivedEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.WalSegmentArchivedEvent

- All Implemented Interfaces:
    Serializable, Comparable<Event>, Event
  Direct Known Subclasses:
    WalSegmentCompactedEvent

      public class WalSegmentArchivedEvent
      extends EventAdapter

  Event indicates the completion of WAL segment file transition to archive.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `WalSegmentArchivedEvent(@NotNull ClusterNode node, long absWalSegmentIdx, File archiveFile)` Creates WAL segment event
    `protected` | `WalSegmentArchivedEvent(@NotNull ClusterNode node, long absWalSegmentIdx, File archiveFile, int evtType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAbsWalSegmentIdx()`
    `File` | `getArchiveFile()`

    - ### Methods inherited from class org.apache.ignite.events.EventAdapter

      `compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, shortDisplay, timestamp, toString, type, type`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WalSegmentArchivedEvent

          public WalSegmentArchivedEvent(@NotNull
                                         @NotNull ClusterNode node,
                                         long absWalSegmentIdx,
                                         File archiveFile)

      Creates WAL segment event
      Parameters:
        `node` - Node.
        `absWalSegmentIdx` - Absolute wal segment index.
        `archiveFile` - Archive file.

    - #### WalSegmentArchivedEvent

          protected WalSegmentArchivedEvent(@NotNull
                                            @NotNull ClusterNode node,
                                            long absWalSegmentIdx,
                                            File archiveFile,
                                            int evtType)

  - ### Method Detail

    - #### getArchiveFile

          public File getArchiveFile()

      Returns:
        `archiveFile`

    - #### getAbsWalSegmentIdx

          public long getAbsWalSegmentIdx()

      Returns:
        `absWalSegmentIdx`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023